Bug 18036 - The text about the scoped attribute and @font-face makes no sense
The text about the scoped attribute and @font-face makes no sense
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 16:02 UTC by contributor
Modified: 2012-09-21 10:37 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 16:02:25 UTC
This was was cloned from bug 15821 as part of operation convergence.
Originally filed: 2012-01-31 23:58:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-01-31 23:58:21 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#style-default-media
Complete: http://www.whatwg.org/c#style-default-media

Comment:
The text about the scoped attribute and @font-face makes no sense

Posted from: 84.97.147.161
User agent: Mozilla/5.0 (X11; Linux x86_64; rv:12.0a1) Gecko/20100101 Firefox/12.0a1
================================================================================
 #1   L. David Baron (Mozilla)                        2012-02-01 00:03:37 +0000 
--------------------------------------------------------------------------------
To add a bit more detail here, I'm referring to the text:

  For scoped CSS resources, the effect of other @-rules must be scoped
  to the scoped sheet and its subresources, even if the @-rule in
  question would ordinarily apply to all style sheets that affect the
  Document. Any '@page' rules in scoped CSS resources must be ignored.

    For example, an '@font-face' rule defined in a scoped style sheet
    would only define the font for the purposes of font rules in the
    scoped section; style sheets outside the scoped section using the
    same font name would not end up using that embedded font.

This seems to be based on a significant misunderstanding of what @font-face rules do.  What they do is add to the set of available fonts.  It may well make sense to scope them to a document tree, but it makes no sense to scope them to a set of rules.  For example, if the computed value of 'font-family' comes from one of the scoped rules and the computed value of 'font-style' comes from outside that set, and the scoped set defines an italic in the given family, is that considered "for the purposes of font rules in the scoped section"?  This text essentially:
 (a) requires that the computed value of all font properties that affect font selection change from their current structure to the pair of that structure with a list of all active @font-face rules, and
 (b) doesn't provide a conflict resolution algorithm for when those lists of @font-face rules differ
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-21 10:37:43 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/d452ada1adaa547112a72a0087e2d790b9c95ef7
   Rationale: adopted from WHATWG